Name: prc-tools
Summary: Palm Pilot development tools 
Version: 0.5.0
Release: 5
Source: ftp://uiarchive.cso.uiuc.edu/pub/systems/PalmOS/prc-tools.%{version}.tar.bz2
Source1: gcc-2.7.2.3.tar.bz2
Source2: binutils-2.7.tar.bz2
Source3: gdb-4.16.tar.bz2
Patch: prc-redhat.diff
Patch1: bzip-and-sources.patch
Group: Development/Tools
URL: http://www.pundt.de/pilot/devel.html
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
ExclusiveArch: i386 i486 i586 i686
Prefix: /usr

%description
Tools for developing Palm Pilot applications

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1
%patch1 -p1

%build
make gnuuntar patch gnutools all SRCDIR="$RPM_SOURCE_DIR" RPM_OPT_FLAGS="$RPM_OPT_FLAGS" ROOT="$RPM_BUILD_ROOT"

%install
mkdir -p $RPM_BUILD_ROOT/usr/man/man1 $RPM_BUILD_ROOT/usr/m68k-palmos-coff/lib $RPM_BUILD_ROOT/usr/m68k-palmos-coff/include $RPM_BUILD_ROOT/usr/m68k-palmos-coff/bin
make install RPM_OPT_FLAGS="$RPM_OPT_FLAGS" ROOT="$RPM_BUILD_ROOT"

( cd $RPM_BUILD_ROOT
  # make install generates some broken symlinks... Fix them up
  rm -f usr/bin/build-prc usr/bin/m68k-palmos-coff-exportlist \
        usr/bin/m68k-palmos-coff-obj-res usr/bin/m68k-palmos-coff-stubgen \
	usr/bin/pilrc usr/bin/txt2bitm usr/m68k-palmos-coff/include/PalmOS \
	usr/m68k-palmos-coff/include/math.h usr/m68k-palmos-coff/lib/libm.a
  ln -s ../m68k-palmos-coff/bin/build-prc usr/bin/build-prc
  ln -s ../m68k-palmos-coff/bin/exportlist usr/bin/m68k-palmos-coff-exportlist
  ln -s ../m68k-palmos-coff/bin/obj-res usr/bin/m68k-palmos-coff-obj-res
  ln -s ../m68k-palmos-coff/bin/stubgen usr/bin/m68k-palmos-coff-stubgen

#	don't do this. It conflicts with the pilrc package
#  ln -s ../m68k-palmos-coff/bin/pilrc usr/bin/pilrc

  ln -s ../m68k-palmos-coff/bin/txt2bitm usr/bin/txt2bitm
  ln -s PalmOS2 usr/m68k-palmos-coff/include/PalmOS
  ln -s mathf.h usr/m68k-palmos-coff/include/math.h
  ln -s libmf.a usr/m68k-palmos-coff/lib/libm.a
  # move some stuff out of the way for the native development tools
  mv usr/include/* usr/m68k-palmos-coff/include
  mv usr/lib/* usr/m68k-palmos-coff/lib
  rmdir usr/include usr/lib
)

#this conflicts with the cpp package, so we remove it
rm -f $RPM_BUILD_ROOT/usr/man/man1/cccp.1

# comress the man pages before the file list is generated
[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
       -e '/\/etc\//s|^|%config|' \
       -e '/\/config\//s|^|%config|' \
       >> $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%defattr(-,root,root,0755)

%changelog
* Wed Feb 23 2000 Tim Powers <timp@redhat.com>
- don't include cccp.1 in the file list, conflicts with the cpp package
- don't create links in /usr/bin for pilrc, it conflicts with the pilrc
	package
- compress man pages

* Wed Feb 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up conflicts
- Optimize the bzip patch

* Fri Jan 28 2000 Tim Powers <timp@redhat.com>
- fixed group ect.

* Tue Jan 18 2000 Tim Powers <timp@redhat.com>
- compressed sources using bz2 instead of gzip to conserve space
- don't hardcode RPM_SOURCE_DIR as ../../SOURCES in Makefiles, doesn't work on different RPM configurations, new patch created to fix this
	
* Tue Jan 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Make it i[3456]86 only for now - doesn't compile on alpha and sparc without
  major modifications.

* Tue Nov 23 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
- changes to base version: Use gcc 2.7.2.3 instead of 2.7.2. Far less buggy.

